import java.util.Random;

import jrobots.simulation.simulationObjects.JRobot2010;
import jrobots.utils.Angle;

/** The time calls for a <code>DumBot</code> if ya need a moving target...
 * <p>It is unpredictable - some call it <code>RandonatorMk0</code>... */
public class DumBot extends JRobot2010 {

    Angle autopilotMomentum;
    Random random;
    
    @Override
    protected void actions() {
        setScanDirection(new Angle(this.random.nextDouble() * 360, "d"));
        setScanAperture(new Angle(this.random.nextDouble() 
                * getMaxScanAperture().getValueAsRadians(), "d"));
        setLaunchProjectileCommand(new Angle(this.random.nextDouble() * 360, "d"));
        this.autopilotMomentum = this.autopilotMomentum.add
        (new Angle((this.random.nextDouble()-0.5) * 80.0, "d")).normalize();
        setAutopilot(this.autopilotMomentum, 1.0);
    }
    
    @Override
    protected void init() {
        this.random = new Random();
        this.autopilotMomentum = new Angle(this.random.nextDouble() * 360, "d");
        
    }

}
